Package io.flutter.embedding.android

# Class KeyChannelResponder

java.lang.Object
io.flutter.embedding.android.KeyChannelResponder

All Implemented Interfaces:
  `KeyboardManager.Responder`

public class KeyChannelResponder extends Object implements KeyboardManager.Responder
A `KeyboardManager.Responder` of `KeyboardManager` that handles events by sending the raw information through the method channel.

This class corresponds to the RawKeyboard API in the framework.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface io.flutter.embedding.android.KeyboardManager.Responder

  `KeyboardManager.Responder.OnKeyEventHandledCallback`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyChannelResponder(KeyEventChannel keyEventChannel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleEvent(KeyEvent keyEvent, KeyboardManager.Responder.OnKeyEventHandledCallback onKeyEventHandledCallback)`
  Informs this `KeyboardManager.Responder` that a new `KeyEvent` needs processing.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeyChannelResponder

    public KeyChannelResponder(@NonNull KeyEventChannel keyEventChannel)

- ## Method Details

  - ### handleEvent

    public void handleEvent(@NonNull KeyEvent keyEvent, @NonNull KeyboardManager.Responder.OnKeyEventHandledCallback onKeyEventHandledCallback)
    Description copied from interface: `KeyboardManager.Responder`
    Informs this `KeyboardManager.Responder` that a new `KeyEvent` needs processing.
    Specified by:
      `handleEvent` in interface `KeyboardManager.Responder`
    Parameters:
      `keyEvent` - the new `KeyEvent` this `KeyboardManager.Responder` may be interested in.
      `onKeyEventHandledCallback` - the method to call when this `KeyboardManager.Responder` has decided whether to handle the `KeyEvent`.